ICU 75.1 75.1

Data Fields
UConverterFromUnicodeArgs Struct Reference

The structure for the fromUnicode callback function parameter. More...

`#include <ucnv_err.h>`

## Data Fields
uint16_t | size
| The size of this struct. More...
UBool | flush
| The internal state of converter will be reset and data flushed if set to true. More...
UConverter * | converter
| Pointer to the converter that is opened and to which this struct is passed as an argument. More...
const UChar * | source
| Pointer to the source source buffer. More...
const UChar * | sourceLimit
| Pointer to the limit (end + 1) of source buffer. More...
char * | target
| Pointer to the target buffer. More...
const char * | targetLimit
| Pointer to the limit (end + 1) of target buffer. More...
int32_t * | offsets
| Pointer to the buffer that receives the offsets. More...

## Detailed Description

The structure for the fromUnicode callback function parameter.

Stable:
  ICU 2.0

Definition at line 194 of file ucnv_err.h.

## Field Documentation

## ◆ converter

UConverter* UConverterFromUnicodeArgs::converter

Pointer to the converter that is opened and to which this struct is passed as an argument.

Stable:
  ICU 2.0

Definition at line 197 of file ucnv_err.h.

## ◆ flush

UBool UConverterFromUnicodeArgs::flush

The internal state of converter will be reset and data flushed if set to true.

Stable:
  ICU 2.0

Definition at line 196 of file ucnv_err.h.

## ◆ offsets

int32_t* UConverterFromUnicodeArgs::offsets

Pointer to the buffer that receives the offsets.

*offset = blah ; offset++;.

Stable:
  ICU 2.0

Definition at line 202 of file ucnv_err.h.

## ◆ size

uint16_t UConverterFromUnicodeArgs::size

The size of this struct.

Stable:
  ICU 2.0

Definition at line 195 of file ucnv_err.h.

## ◆ source

const UChar* UConverterFromUnicodeArgs::source

Pointer to the source source buffer.

Stable:
  ICU 2.0

Definition at line 198 of file ucnv_err.h.

## ◆ sourceLimit

const UChar* UConverterFromUnicodeArgs::sourceLimit

Pointer to the limit (end + 1) of source buffer.

Stable:
  ICU 2.0

Definition at line 199 of file ucnv_err.h.

## ◆ target

char* UConverterFromUnicodeArgs::target

Pointer to the target buffer.

Stable:
  ICU 2.0

Definition at line 200 of file ucnv_err.h.

## ◆ targetLimit

const char* UConverterFromUnicodeArgs::targetLimit

Pointer to the limit (end + 1) of target buffer.

Stable:
  ICU 2.0

Definition at line 201 of file ucnv_err.h.

The documentation for this struct was generated from the following file:

- common/unicode/ucnv_err.h